%define majorminor %(echo %version | cut -d. -f 1-2)

Name:          cmake
Version:       3.26.4
Release:       1mamba
Summary:       A cross-platform, open-source make system
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cmake.org/
Source0:       http://www.cmake.org/files/v%{majorminor}/cmake-%{version}.tar.gz
Source1:       cmake-rpmmacro
Patch:         %{name}-2.4.5_use_intree_xmlrpc.patch
Patch1:        cmake-2.8.11.2-ImageMagick-6.8.patch
Patch2:        cmake-2.8.12.1-freetype-2.5.1.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libcurl-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libjsoncpp-devel
BuildRequires: libncurses-devel
BuildRequires: librhash-devel
BuildRequires: libstdc++6-devel
BuildRequires: libuv-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libjsoncpp-devel >= 1.9.5
BuildRequires: librhash-devel
BuildRequires: libuv-devel
BuildRequires: gcc-c++
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libICE-devel

%description
CMake is used to control the software compilation process using simple platform and compiler independent configuration files.
CMake generates native makefiles and workspaces that can be used in the compiler environment of your choice.
CMake is quite sophisticated: it is possible to support complex environments requiring system configuration, pre-processor generation, code generation, and template instantiation.

CMake was developed by Kitware as part of the NLM Insight Segmentation and Registration Toolkit project.
The ASCI VIEWS project also provided support in the context of their parallel computation environment.
Other sponsors include the Insight, VTK, and VXL open source software communities.

%debug_package

%prep
%setup -q
#%patch1 -p1
#%patch2 -p1

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags} -std=gnu++14"
./configure \
   --prefix=%{_prefix} \
   --datadir=/share/%{name} \
   --docdir=/share/doc/%{name}-%{version} \
   --mandir=/share/man \
   --system-libs

%make VERBOSE=1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

#cp -a Example %{buildroot}%{_datadir}/doc/%{name}-%{version}/
#install -D -m 0644 Docs/cmake-mode.el \
#   %{buildroot}%{_datadir}/emacs/site-lisp/cmake-mode.el

install -D -m 0644 %{S:1} \
   %{buildroot}%{_sysconfdir}/rpm/macros.cmake

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.cmake
%{_bindir}/ccmake
%{_bindir}/cmake
%{_bindir}/cpack
%{_bindir}/ctest
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/bash-completion/completions/*
%{_datadir}/emacs/site-lisp/cmake-mode.el
%{_datadir}/vim/vimfiles/indent/cmake.vim
%{_datadir}/vim/vimfiles/syntax/cmake.vim
%{_datadir}/aclocal/cmake.m4
%{_datadir}/doc/%{name}-%{version}/

%changelog
* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 3.26.4-1mamba
- automatic version update by autodist

* Wed Apr 05 2023 Automatic Build System <autodist@mambasoft.it> 3.26.3-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 3.26.2-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 3.26.1-1mamba
- automatic version update by autodist

* Wed Mar 15 2023 Automatic Build System <autodist@mambasoft.it> 3.26.0-1mamba
- automatic version update by autodist

* Thu Mar 09 2023 Automatic Build System <autodist@mambasoft.it> 3.25.3-1mamba
- automatic version update by autodist

* Fri Jan 20 2023 Automatic Build System <autodist@mambasoft.it> 3.25.2-1mamba
- automatic version update by autodist

* Thu Dec 01 2022 Automatic Build System <autodist@mambasoft.it> 3.25.1-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 3.25.0-1mamba
- automatic version update by autodist

* Wed Nov 02 2022 Automatic Build System <autodist@mambasoft.it> 3.24.3-1mamba
- automatic version update by autodist

* Wed Sep 14 2022 Automatic Build System <autodist@mambasoft.it> 3.24.2-1mamba
- automatic version update by autodist

* Thu Aug 18 2022 Automatic Build System <autodist@mambasoft.it> 3.24.1-1mamba
- automatic version update by autodist

* Fri Aug 05 2022 Automatic Build System <autodist@mambasoft.it> 3.24.0-1mamba
- automatic version update by autodist

* Fri Jul 29 2022 Automatic Build System <autodist@mambasoft.it> 3.23.3-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 3.23.2-1mamba
- automatic version update by autodist

* Wed Apr 13 2022 Automatic Build System <autodist@mambasoft.it> 3.23.1-1mamba
- automatic version update by autodist

* Wed Mar 30 2022 Automatic Build System <autodist@mambasoft.it> 3.23.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 3.22.3-1mamba
- automatic version update by autodist

* Wed Jan 26 2022 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Tue Dec 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.22.1-2mamba
- rebuilt with libjsoncpp 1.9.5

* Wed Dec 08 2021 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Thu Nov 18 2021 Automatic Build System <autodist@mambasoft.it> 3.22.0-1mamba
- automatic version update by autodist

* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 3.21.3-1mamba
- automatic version update by autodist

* Wed Aug 25 2021 Automatic Build System <autodist@mambasoft.it> 3.21.2-1mamba
- automatic version update by autodist

* Tue Jul 27 2021 Automatic Build System <autodist@mambasoft.it> 3.21.1-1mamba
- automatic version update by autodist

* Wed Jul 14 2021 Automatic Build System <autodist@mambasoft.it> 3.21.0-1mamba
- automatic version update by autodist

* Tue Jun 22 2021 Automatic Build System <autodist@mambasoft.it> 3.20.5-1mamba
- automatic version update by autodist

* Mon Jun 14 2021 Automatic Build System <autodist@mambasoft.it> 3.20.4-1mamba
- automatic version update by autodist

* Thu May 27 2021 Automatic Build System <autodist@mambasoft.it> 3.20.3-1mamba
- automatic version update by autodist

* Fri Apr 30 2021 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Fri Apr 09 2021 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Thu Mar 25 2021 Automatic Build System <autodist@mambasoft.it> 3.20.0-1mamba
- automatic version update by autodist

* Mon Mar 15 2021 Automatic Build System <autodist@mambasoft.it> 3.19.7-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Automatic Build System <autodist@mambasoft.it> 3.19.6-1mamba
- automatic version update by autodist

* Tue Feb 16 2021 Automatic Build System <autodist@mambasoft.it> 3.19.5-1mamba
- automatic version update by autodist

* Thu Jan 28 2021 Automatic Build System <autodist@mambasoft.it> 3.19.4-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 3.19.3-1mamba
- automatic version update by autodist

* Wed Dec 16 2020 Automatic Build System <autodist@mambasoft.it> 3.19.2-1mamba
- automatic version update by autodist

* Wed Nov 25 2020 Automatic Build System <autodist@mambasoft.it> 3.19.1-1mamba
- automatic version update by autodist

* Wed Nov 18 2020 Automatic Build System <autodist@mambasoft.it> 3.19.0-1mamba
- automatic version update by autodist

* Wed Oct 07 2020 Automatic Build System <autodist@mambasoft.it> 3.18.4-1mamba
- automatic version update by autodist

* Wed Sep 23 2020 Automatic Build System <autodist@mambasoft.it> 3.18.3-1mamba
- automatic version update by autodist

* Fri Aug 21 2020 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Fri Jul 31 2020 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Sat Jul 18 2020 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Thu May 28 2020 Automatic Build System <autodist@mambasoft.it> 3.17.3-1mamba
- automatic version update by autodist

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 3.17.2-1mamba
- automatic version update by autodist

* Fri Apr 10 2020 Automatic Build System <autodist@mambasoft.it> 3.17.1-1mamba
- automatic version update by autodist

* Fri Mar 20 2020 Automatic Build System <autodist@mambasoft.it> 3.17.0-1mamba
- automatic version update by autodist

* Fri Mar 06 2020 Automatic Build System <autodist@mambasoft.it> 3.16.5-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16.4-2mamba
- rebuilt with debug_package

* Wed Feb 05 2020 Automatic Build System <autodist@mambasoft.it> 3.16.4-1mamba
- automatic version update by autodist

* Tue Jan 21 2020 Automatic Build System <autodist@mambasoft.it> 3.16.3-1mamba
- automatic version update by autodist

* Thu Dec 19 2019 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Tue Dec 10 2019 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Tue Nov 26 2019 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Wed Oct 30 2019 Automatic Build System <autodist@mambasoft.it> 3.15.5-1mamba
- automatic version update by autodist

* Wed Oct 02 2019 Automatic Build System <autodist@mambasoft.it> 3.15.4-1mamba
- automatic version update by autodist

* Thu Sep 05 2019 Automatic Build System <autodist@mambasoft.it> 3.15.3-1mamba
- automatic version update by autodist

* Thu Aug 08 2019 Automatic Build System <autodist@mambasoft.it> 3.15.2-1mamba
- automatic version update by autodist

* Sat Jul 27 2019 Automatic Build System <autodist@mambasoft.it> 3.15.1-1mamba
- automatic version update by autodist

* Thu Jul 18 2019 Automatic Build System <autodist@mambasoft.it> 3.15.0-1mamba
- automatic version update by autodist

* Tue Jul 16 2019 Automatic Build System <autodist@mambasoft.it> 3.14.6-1mamba
- automatic version update by autodist

* Fri May 31 2019 Automatic Build System <autodist@mambasoft.it> 3.14.5-1mamba
- automatic version update by autodist

* Wed May 15 2019 Automatic Build System <autodist@mambasoft.it> 3.14.4-1mamba
- automatic version update by autodist

* Mon Apr 22 2019 Automatic Build System <autodist@mambasoft.it> 3.14.3-1mamba
- automatic version update by autodist

* Fri Apr 12 2019 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Sat Mar 30 2019 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic version update by autodist

* Thu Mar 14 2019 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Mon Feb 04 2019 Automatic Build System <autodist@mambasoft.it> 3.13.4-1mamba
- automatic version update by autodist

* Tue Jan 15 2019 Automatic Build System <autodist@mambasoft.it> 3.13.3-1mamba
- automatic version update by autodist

* Fri Dec 14 2018 Automatic Build System <autodist@mambasoft.it> 3.13.2-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Wed Nov 21 2018 Automatic Build System <autodist@mambasoft.it> 3.13.0-1mamba
- automatic version update by autodist

* Sat Nov 03 2018 Automatic Build System <autodist@mambasoft.it> 3.12.4-1mamba
- automatic version update by autodist

* Fri Oct 05 2018 Automatic Build System <autodist@mambasoft.it> 3.12.3-1mamba
- automatic version update by autodist

* Fri Sep 14 2018 Automatic Build System <autodist@mambasoft.it> 3.12.2-1mamba
- automatic version update by autodist

* Thu Aug 09 2018 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Sun Aug 05 2018 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon May 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.3-2mamba
- rebuilt by autoport with build requirements: libjsoncpp-devel>=1.8.4-1mamba

* Thu Nov 03 2016 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Thu Sep 08 2016 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Fri Jul 22 2016 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Fri Jul 08 2016 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Sat Apr 16 2016 Automatic Build System <autodist@mambasoft.it> 3.5.2-1mamba
- automatic version update by autodist

* Fri Mar 25 2016 Automatic Build System <autodist@mambasoft.it> 3.5.1-1mamba
- automatic version update by autodist

* Tue Mar 08 2016 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Tue Jan 26 2016 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Wed Jan 20 2016 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Wed Dec 09 2015 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Tue Nov 17 2015 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic version update by autodist

* Fri Aug 14 2015 Automatic Build System <autodist@mambasoft.it> 3.3.1-1mamba
- automatic version update by autodist

* Fri Jul 24 2015 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Tue Jun 02 2015 Automatic Build System <autodist@mambasoft.it> 3.2.3-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Wed Mar 18 2015 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Feb 13 2015 Automatic Build System <autodist@mambasoft.it> 3.1.3-1mamba
- automatic version update by autodist

* Fri Feb 06 2015 Automatic Build System <autodist@mambasoft.it> 3.1.2-1mamba
- automatic version update by autodist

* Fri Jan 23 2015 Automatic Build System <autodist@mambasoft.it> 3.1.1-1mamba
- automatic version update by autodist

* Thu Dec 18 2014 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Fri Sep 12 2014 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Sun Aug 17 2014 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Wed Jun 18 2014 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Sun Jan 26 2014 Automatic Build System <autodist@mambasoft.it> 2.8.12.2-1mamba
- automatic version update by autodist

* Sat Nov 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.12.1-2mamba
- patch FindFreetype.cmake module for freetype 2.5.1

* Fri Nov 08 2013 Automatic Build System <autodist@mambasoft.it> 2.8.12.1-1mamba
- automatic version update by autodist

* Thu Oct 10 2013 Automatic Build System <autodist@mambasoft.it> 2.8.12-1mamba
- automatic version update by autodist

* Mon Aug 26 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.11.2-2mamba
- added patch for 6.Q16HDRI ImageMagick from http://public.kitware.com/Bug/view.php?id=14012

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11.2-1mamba
- automatic version update by autodist

* Sat Jun 08 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11.1-1mamba
- automatic version update by autodist

* Tue May 21 2013 Automatic Build System <autodist@mambasoft.it> 2.8.11-1mamba
- automatic update by autodist

* Mon Jan 07 2013 Automatic Build System <autodist@mambasoft.it> 2.8.10.2-1mamba
- automatic version update by autodist

* Fri Nov 09 2012 Automatic Build System <autodist@mambasoft.it> 2.8.10.1-1mamba
- automatic version update by autodist

* Mon Nov 05 2012 Automatic Build System <autodist@mambasoft.it> 2.8.10-1mamba
- automatic version update by autodist

* Mon Aug 20 2012 Automatic Build System <autodist@mambasoft.it> 2.8.9-1mamba
- automatic version update by autodist

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.8.8-1mamba
- automatic version update by autodist

* Thu Dec 22 2011 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Wed Feb 23 2011 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic update by autodist

* Fri Nov 05 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.3-1mamba
- update to 2.8.3

* Sat May 09 2009 Automatic Build System <autodist@mambasoft.it> 2.6.4-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.3-1mamba
- automatic update by autodist

* Mon Feb 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-1mamba
- update to 2.6.2

* Thu Aug 28 2008 Aleph0 <aleph0@openmamba.org> 2.6.1-1mamba
- update to 2.6.1

* Mon May 12 2008 Aleph0 <aleph0@openmamba.org> 2.6.0-1mamba
- update to 2.6.0

* Mon Mar 03 2008 Aleph0 <aleph0@openmamba.org> 2.4.8-1mamba
- update to 2.4.8
- updated macros.cmake to permit extra directives to %%cmake

* Wed Dec 26 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-4mamba
- modify %%cmake to permit both in-source and out-of-source builds

* Sun Dec 23 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-3mamba
- add rpm macro macros.cmake (which defines %%cmake)

* Tue Dec 04 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-2mamba
- updated specfile
- added missing build requirements

* Mon Oct 29 2007 Aleph0 <aleph0@openmamba.org> 2.4.7-1mamba
- update to 2.4.7

* Mon Jun 04 2007 Aleph0 <aleph0@openmamba.org> 2.4.6-2mamba
- rebuilt

* Tue Feb 27 2007 Aleph0 <aleph0@openmamba.org> 2.4.6-1qilnx
- update to version 2.4.6 by autospec
- updated X11 build requirements
- use system libraries
- added build requirements for system libraries

* Thu Dec 14 2006 Aleph0 <aleph0@openmamba.org> 2.4.5-1qilnx
- package created by autospec
